package com.njyunzhi.yunshake.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 分数表
 * </p>
 *
 * @author lizhiwei
 * @since 2021-11-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaScore对象", description="分数表")
public class TaScore implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "分数ID")
    @TableId(value = "score_id", type = IdType.AUTO)
    private Integer scoreId;

    @ApiModelProperty(value = "人员ID")
    private String personId;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "摇一摇分数")
    private Integer score;


}
