package com.njyunzhi.yunshake.mapper;

import com.njyunzhi.yunshake.entity.TaScore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.njyunzhi.yunshake.vo.TopScore;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 分数表 Mapper 接口
 * </p>
 *
 * @author lizhiwei
 * @since 2021-11-29
 */
@Mapper
public interface TaScoreMapper extends BaseMapper<TaScore> {

    List<TopScore> getScoreTopList(@Param("top") int top);
}
