package com.njyunzhi.yunshake.service.impl;

import com.njyunzhi.yunshake.entity.TaPerson;
import com.njyunzhi.yunshake.mapper.TaPersonMapper;
import com.njyunzhi.yunshake.service.ITaPersonService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 小程序人员表 服务实现类
 * </p>
 *
 * @author lizhiwei
 * @since 2021-11-29
 */
@Service
public class TaPersonServiceImpl extends ServiceImpl<TaPersonMapper, TaPerson> implements ITaPersonService {

    @Override
    public TaPerson getByOpenid(String openid) {
        return baseMapper.getByOpenid(openid);
    }
}
