package com.njyunzhi.yunshake.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.njyunzhi.yunshake.entity.TaScore;
import com.njyunzhi.yunshake.mapper.TaScoreMapper;
import com.njyunzhi.yunshake.service.ITaScoreService;
import com.njyunzhi.yunshake.vo.TopScore;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 分数表 服务实现类
 * </p>
 *
 * @author lizhiwei
 * @since 2021-11-29
 */
@Service
public class TaScoreServiceImpl extends ServiceImpl<TaScoreMapper, TaScore> implements ITaScoreService {

    @Override
    public List<TopScore> getScoreTopList(int top) {
        return baseMapper.getScoreTopList(top);
    }
}
